package main

import (
	"fmt"
	"os"
	"strings"
)

func main() {
	dir, _ := os.ReadDir(".")
	for _, file := range dir {
		if !strings.HasSuffix(file.Name(), ".txt") {
			continue
		}
		id := 0
		fmt.Sscanf(strings.TrimSuffix(file.Name(), ".txt"), "%7d", &id)
		folder := id / 1000
		os.Mkdir(fmt.Sprintf("%03d", folder), 0755)
		os.Rename(file.Name(), fmt.Sprintf("%03d/%s", folder, file.Name()))
	}
}
